GalertDef (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.galerts.server.session.GalertDef class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.galerts.server.session
Class GalertDef

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.galerts.server.session.GalertDef

All Implemented Interfaces:
  java.io.Serializable, PerformsEscalations, AlertDefinitionInterface

    public class GalertDef

extends PersistedObject
implements AlertDefinitionInterface, PerformsEscalations

See Also:
  Serialized Form

Constructor Summary
`protected` | `GalertDef()`

Method Summary
`EscalationAlertType` | `getAlertType()`
`int` | `getAppdefId()`
`AppdefEntityID` | `getAppdefID()`
`int` | `getAppdefType()`
`long` | `getCtime()`
`AlertDefinitionInterface` | `getDefinitionInfo()`
`java.lang.String` | `getDescription()`
`Escalation` | `getEscalation()`
`ResourceGroup` | `getGroup()`
`java.lang.Long` | `getLastFired()`
`long` | `getMtime()`
`java.lang.String` | `getName()`
`int` | `getPriority()`
`Resource` | `getResource()`
`AlertSeverity` | `getSeverity()`
`protected int` | `getSeverityEnum()`
`java.util.Set` | `getStrategies()`
`ExecutionStrategyInfo` | `getStrategy(GalertDefPartition partition)`
`protected java.util.Set` | `getStrategySet()`
`boolean` | `isDeleted()`
`boolean` | `isEnabled()`
`boolean` | `isNotifyFiltered()`
`boolean` | `performsEscalations()`
`protected void` | `setCtime(long ctime)`
`protected void` | `setDeleted(boolean deleted)`
`protected void` | `setDescription(java.lang.String desc)`
`protected void` | `setEnabled(boolean enabled)`
`protected void` | `setEscalation(Escalation escalation)`
`protected void` | `setGroup(ResourceGroup group)`
`protected void` | `setLastFired(java.lang.Long l)`
`protected void` | `setMtime(long mtime)`
`protected void` | `setName(java.lang.String name)`
`protected void` | `setSeverityEnum(int code)`
`protected void` | `setStrategySet(java.util.Set strategies)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.AlertDefinitionInterface
`getId`

Methods inherited from interface org.hyperic.hq.escalation.server.session.PerformsEscalations
`getId`

Constructor Detail

### GalertDef

    protected GalertDef()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PerformsEscalations`
  Specified by:
    `getName` in interface `AlertDefinitionInterface`

### setName

    protected void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `AlertDefinitionInterface`

### setDescription

    protected void setDescription(java.lang.String desc)

### isEnabled

    public boolean isEnabled()

### setEnabled

    protected void setEnabled(boolean enabled)

### getSeverityEnum

    protected int getSeverityEnum()

### setSeverityEnum

    protected void setSeverityEnum(int code)

### getSeverity

    public AlertSeverity getSeverity()

### getGroup

    public ResourceGroup getGroup()

### setGroup

    protected void setGroup(ResourceGroup group)

### getEscalation

    public Escalation getEscalation()

  Specified by:
    `getEscalation` in interface `PerformsEscalations`

### setEscalation

    protected void setEscalation(Escalation escalation)

### getStrategySet

    protected java.util.Set getStrategySet()

### setStrategySet

    protected void setStrategySet(java.util.Set strategies)

### getStrategies

    public java.util.Set getStrategies()

### getStrategy

    public ExecutionStrategyInfo getStrategy(GalertDefPartition partition)

### getAppdefID

    public AppdefEntityID getAppdefID()

### getAppdefId

    public int getAppdefId()

### getAppdefType

    public int getAppdefType()

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `AlertDefinitionInterface`

### isNotifyFiltered

    public boolean isNotifyFiltered()

  Specified by:
    `isNotifyFiltered` in interface `AlertDefinitionInterface`

### getCtime

    public long getCtime()

### setCtime

    protected void setCtime(long ctime)

### getMtime

    public long getMtime()

### setMtime

    protected void setMtime(long mtime)

### setDeleted

    protected void setDeleted(boolean deleted)

### isDeleted

    public boolean isDeleted()

  Specified by:
    `isDeleted` in interface `PerformsEscalations`
  Specified by:
    `isDeleted` in interface `AlertDefinitionInterface`

### setLastFired

    protected void setLastFired(java.lang.Long l)

### getLastFired

    public java.lang.Long getLastFired()

### getAlertType

    public EscalationAlertType getAlertType()

  Specified by:
    `getAlertType` in interface `PerformsEscalations`

### getDefinitionInfo

    public AlertDefinitionInterface getDefinitionInfo()

  Specified by:
    `getDefinitionInfo` in interface `PerformsEscalations`

### performsEscalations

    public boolean performsEscalations()

  Specified by:
    `performsEscalations` in interface `AlertDefinitionInterface`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getResource

    public Resource getResource()

  Specified by:
    `getResource` in interface `AlertDefinitionInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.